Page MenuHomePhabricator

Wrong 'new page' with email notifications
Closed, ResolvedPublic

Description

Author: dejan.papez

Description:
On 18 September 2008 the page 'Commons:Storitev vključevanja datotek' was 'deleted' (see http://commons.wikimedia.org/w/index.php?title=Special:Log&type=delete&page=Commons:Storitev_vklju%C4%8Devanja_datotek)

However, the Wikimedia Commons notification system report sent via e-mail said it was actually 'created':

"The Wikimedia Commons page Commons:Storitev vključevanja datotek has been created on 19:57, 18 September 2008 by Christian Nurtsch, see http://commons.wikimedia.org/wiki/Commons:Storitev_vklju%C4%8Devanja_datotek for the current version.

This is a new page.

Editor's summary: project closed, see [[Commons:Deletion requests/Commons:File upload service]]."


Version: unspecified
Severity: normal

Details

Reference
bz15646

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:17 PM
bzimport added a project: MediaWiki-Email.
bzimport set Reference to bz15646.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 19 2008, 7:59 AM
demon added a comment.Oct 27 2008, 6:08 PM
  • Bug 16139 has been marked as a duplicate of this bug. ***
demon added a comment.Jan 15 2009, 8:51 PM
  • Bug 17016 has been marked as a duplicate of this bug. ***
demon added a comment.Jan 15 2009, 8:52 PM

Tweaking summary to that of duped bug. Makes more sense that Commons-specific title :)

demon added a comment.Mar 11 2009, 1:07 PM
  • Bug 17915 has been marked as a duplicate of this bug. ***
demon added a comment.Mar 11 2009, 1:08 PM
  • Bug 16766 has been marked as a duplicate of this bug. ***
demon added a comment.Mar 18 2009, 8:06 PM
  • Bug 18032 has been marked as a duplicate of this bug. ***

Fixed in r55459

  • Bug 21642 has been marked as a duplicate of this bug. ***

Reopening bug; fix was reverted in r56164.

webboy wrote:

It's probably wrong for all logged action on a page (e.g. protecting a page).

See related bug 16766.

IAlex added a comment.Dec 23 2009, 2:29 PM
  • Bug 21929 has been marked as a duplicate of this bug. ***

how bad would the breakage be if we re-did r55459?

Well, the comments on my self-revert still apply.

Hello, I am still watching this bug. At the moment, I don't see a quick solution, because the problem is not apparent. (The code has changed quite a lot since e-mail notification was developed in late 2004.)

bud0011 wrote:

Out of curiosity, Where in the code is the email notification located?

bud0011 wrote:

thank you.

  • Bug 25256 has been marked as a duplicate of this bug. ***

Changing summary to cover the other problems.

A quick search lead to (one of the or the only) cause:

http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/includes/UserMailer.php?view=markup#l498

  • Bug 26917 has been marked as a duplicate of this bug. ***
  • Bug 16766 has been marked as a duplicate of this bug. ***
  • Bug 26899 has been marked as a duplicate of this bug. ***
  • Bug 14901 has been marked as a duplicate of this bug. ***
  • This bug has been marked as a duplicate of bug 14901 ***